Retrieve a form
curl --request GET \
--url https://api.assembly.com/v1/forms/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/forms/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/forms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"additionalFields": {
"formResponseRequests": 12,
"formResponseSubmissions": 8,
"latestSubmissionDate": "2023-11-07T05:31:56Z"
},
"createdAt": "<string>",
"creatorId": "<string>",
"data": "<string>",
"fields": {
"allowMultipleSubmissions": false,
"description": "Tell us about your business so we can tailor onboarding.",
"formFieldIds": [
"q_abc123",
"q_def456"
],
"formFields": [
{
"description": "As it appears on your incorporation documents.",
"formFieldId": "q_abc123",
"hasOtherOption": false,
"isRequired": true,
"multipleChoiceOptions": [
"Option A",
"Option B"
],
"title": "What is your company name?",
"type": "shortAnswer"
}
],
"name": "Client Intake Form",
"visibility": "requestedClients"
},
"id": "<string>",
"identityId": "<string>",
"object": "<string>",
"owner": {
"id": "<string>",
"metadata": {
"avatarImageUrl": "<string>",
"companyAvatarUrl": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"email": "<string>",
"fallbackColor": "<string>",
"familyName": "<string>",
"givenName": "<string>"
}
},
"previousAttributes": {},
"ref": "<string>",
"updatedAt": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Forms
Retrieve a form
Returns a single form, including its questions and response counts, by ID.
GET
/
v1
/
forms
/
{id}
Retrieve a form
Authorizations
Path Parameters
Form ID
⌘I